OPTIMIZER_RESOURCE-ACTION-SUMMARY(1)

NAME
optimizer_resource-action-summary -

DESCRIPTION

The metadata associated with the resource action summary.

AVAILABLE COMMANDS

•   filter-resource-actions

•   list

  filter-resource-actions

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Queries the Cloud Advisor resource actions that are supported.

  Usage

oci optimizer resource-action-summary filter-resource-actions [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The OCID of the compartment.

--compartment-id-in-subtree [boolean]

    When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned depending on the the setting of accessLevel.

    Can only be set to true when performing ListCompartments on the tenancy (root compartment).

  Optional Parameters

--child-tenancy-ids [text]

    A list of child tenancies for which the respective data will be returned. Please note that the parent tenancy id can also be included in this list. For example, if there is a parent P with two children A and B, to return results of only parent P and child A, this list should be populated with tenancy id of parent P and child A.

    If this list contains a tenancy id that isn’t part of the organization of parent P, the request will fail. That is, let’s say there is an organization with parent P with children A and B, and also one other tenant T that isn’t part of the organization. If T is included in the list of childTenancyIds, the request will fail.

    It is important to note that if you are setting the includeOrganization parameter value as true and also populating the childTenancyIds parameter with a list of child tenancies, the request will fail. The childTenancyIds and includeOrganization should be used exclusively.

    When using this parameter, please make sure to set the compartmentId with the parent tenancy ID.

--filter-query [text]

    The query describing which resources to search for. For more information, see Query Language Syntax <https://docs.cloud.oracle.com/iaas/Content/CloudAdvisor/Reference/query-syntax.htm>.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--include-organization [boolean]

    When set to true, the data for all child tenancies including the parent is returned. That is, if there is an organization with parent P and children A and B, to return the data for the parent P, child A and child B, this parameter value should be set to true.

    Please note that this parameter shouldn’t be used along with childTenancyIds parameter. If you would like to get results specifically for parent P and only child A, use the childTenancyIds parameter and populate the list with tenancy id of P and A.

    When using this parameter, please make sure to set the compartmentId with the parent tenancy ID.

--include-resource-metadata [boolean]

    Supplement additional resource information in extended metadata response.

--limit [integer]

    The maximum number of items to return in a paginated “List” call.

--page [text]

    The value of the opc-next-page response header from the previous “List” call.

--recommendation-id [text]

    The unique OCID associated with the recommendation.

--recommendation-name [text]

    Optional. A filter that returns results that match the recommendation name specified.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/optimizer/resource-action-summary/filter-resource-actions.html#cmdoption-compartment-id
    export compartment_id_in_subtree=<substitute-value-of-compartment_id_in_subtree> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/optimizer/resource-action-summary/filter-resource-actions.html#cmdoption-compartment-id-in-subtree
    oci optimizer resource-action-summary filter-resource-actions --compartment-id $compartment_id --compartment-id-in-subtree $compartment_id_in_subtree

  list

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Lists the Cloud Advisor resource actions that are supported.

  Usage

oci optimizer resource-action-summary list [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The OCID of the compartment.

--compartment-id-in-subtree [boolean]

    When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned depending on the the setting of accessLevel.

    Can only be set to true when performing ListCompartments on the tenancy (root compartment).

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--child-tenancy-ids [text]

    A list of child tenancies for which the respective data will be returned. Please note that the parent tenancy id can also be included in this list. For example, if there is a parent P with two children A and B, to return results of only parent P and child A, this list should be populated with tenancy id of parent P and child A.

    If this list contains a tenancy id that isn’t part of the organization of parent P, the request will fail. That is, let’s say there is an organization with parent P with children A and B, and also one other tenant T that isn’t part of the organization. If T is included in the list of childTenancyIds, the request will fail.

    It is important to note that if you are setting the includeOrganization parameter value as true and also populating the childTenancyIds parameter with a list of child tenancies, the request will fail. The childTenancyIds and includeOrganization should be used exclusively.

    When using this parameter, please make sure to set the compartmentId with the parent tenancy ID.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--include-organization [boolean]

    When set to true, the data for all child tenancies including the parent is returned. That is, if there is an organization with parent P and children A and B, to return the data for the parent P, child A and child B, this parameter value should be set to true.

    Please note that this parameter shouldn’t be used along with childTenancyIds parameter. If you would like to get results specifically for parent P and only child A, use the childTenancyIds parameter and populate the list with tenancy id of P and A.

    When using this parameter, please make sure to set the compartmentId with the parent tenancy ID.

--include-resource-metadata [boolean]

    Supplement additional resource information in extended metadata response.

--lifecycle-state [text]

    A filter that returns results that match the lifecycle state specified.

    Accepted values are:

    ACTIVE, ATTACHING, CREATING, DELETED, DELETING, DETACHING, FAILED, INACTIVE, UPDATING

--limit [integer]

    The maximum number of items to return in a paginated “List” call.

--name [text]

    Optional. A filter that returns results that match the name specified.

--page [text]

    The value of the opc-next-page response header from the previous “List” call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--recommendation-id [text]

    The unique OCID associated with the recommendation.

--recommendation-name [text]

    Optional. A filter that returns results that match the recommendation name specified.

--resource-type [text]

    Optional. A filter that returns results that match the resource type specified.

--sort-by [text]

    The field to sort by. You can provide one sort order (sortOrder). Default order for TIMECREATED is descending. Default order for NAME is ascending. The NAME sort order is case sensitive.

    Accepted values are:

    NAME, TIMECREATED

--sort-order [text]

    The sort order to use, either ascending (ASC) or descending (DESC).

    Accepted values are:

    ASC, DESC

--status [text]

    A filter that returns recommendations that match the status specified.

    Accepted values are:

    DISMISSED, IMPLEMENTED, PENDING, POSTPONED

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/optimizer/resource-action-summary/list.html#cmdoption-compartment-id
    export compartment_id_in_subtree=<substitute-value-of-compartment_id_in_subtree> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/optimizer/resource-action-summary/list.html#cmdoption-compartment-id-in-subtree
    oci optimizer resource-action-summary list --compartment-id $compartment_id --compartment-id-in-subtree $compartment_id_in_subtree

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle